# XcodeRootExtension

interface XcodeRootExtension : XcodeExtension

The configuration for mapping a C++ or Swift project to XCode project and workspace.

#### Since

4.7

## Functions

getProject
Link copied to clipboard
abstract fun getProject(): XcodeProject
getWorkspace
Link copied to clipboard
abstract fun getWorkspace(): XcodeWorkspace
Returns the generated Xcode workspace for this Gradle build.